Update
patch
/fscmRestApi/resources/11.13.18.05/assetWarrantyCoverages/{CoverageId}/child/coverageApplicabilities/{CoverageApplicabilityId}
Request
Path Parameters
-
CoverageApplicabilityId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
CoverageId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AutoAssignFlag: boolean
Title:
AutoassignMaximum Length:1Default Value:true -
ContractDefaultStatusCode: string
Title:
Contract Default Status CodeMaximum Length:30 -
DisabledFlag: boolean
Title:
Disabled IndicatorMaximum Length:80 -
ItemId: integer
(int64)
Title:
Item ID -
ItemNumber: string
Title:
Item NumberMaximum Length:255 -
ItemOrganizationCode: string
Title:
Item Organization CodeMaximum Length:255 -
ItemOrganizationId: integer
(int64)
Title:
Item Organization ID -
SupplierId: integer
(int64)
Title:
Supplier ID -
SupplierNumber: string
Title:
Supplier NumberMaximum Length:255
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assetWarrantyCoverages-coverageApplicabilities-item-response
Type:
Show Source
object-
ActiveEndDate: string
(date)
Title:
Active End DateRead Only:true -
AutoAssignFlag: boolean
Title:
AutoassignMaximum Length:1Default Value:true -
ContractDefaultStatus: string
Title:
Contract Default StatusRead Only:trueMaximum Length:80 -
ContractDefaultStatusCode: string
Title:
Contract Default Status CodeMaximum Length:30 -
CoverageApplicabilityId: integer
(int64)
Title:
Coverage Applicability IDRead Only:true -
CoverageId: integer
(int64)
Title:
Coverage IDRead Only:true -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
DisabledFlag: boolean
Title:
Disabled IndicatorMaximum Length:80 -
ItemDescription: string
Title:
Item DescriptionRead Only:trueMaximum Length:240 -
ItemId: integer
(int64)
Title:
Item ID -
ItemLongDescription: string
Title:
Long DescriptionRead Only:trueMaximum Length:4000 -
ItemNumber: string
Title:
Item NumberMaximum Length:255 -
ItemOrganizationCode: string
Title:
Item Organization CodeMaximum Length:255 -
ItemOrganizationId: integer
(int64)
Title:
Item Organization ID -
ItemOrganizationName: string
Title:
Item Organization NameRead Only:trueMaximum Length:255 -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SupplierId: integer
(int64)
Title:
Supplier ID -
SupplierName: string
Title:
Supplier NameRead Only:trueMaximum Length:360 -
SupplierNumber: string
Title:
Supplier NumberMaximum Length:255
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update a coverage applicable item for a warranty coverage.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/CoverageId/child/coverageApplicabilities/CoverageApplicabilityId"
Example Request Body
The following example includes the contents of the request
body in JSON format. You replace the request
payload in the cURL command with the contents of the Example Request Body.
The request payload specifies attribute values that the command will use in the
record that it updates.
{
"ContractDefaultStatusCode": "ORA_READY"
}Example Response Body
The following example includes the contents of the response
body in JSON format:
{
"CoverageApplicabilityId": 300100568130763,
"CoverageId": 300100568130739,
"ItemId": 300100566813001,
"ItemNumber": "ALM-MX-ITEM-001",
"ItemDescription": "ALM-MX-ITEM-001-DESC",
"ItemLongDescription": "ALM-MX-ITEM-001-DESC-LONG",
"ItemOrganizationId": 300100113363336,
"ItemOrganizationCode": "ORG1",
"ItemOrganizationName": "Organization1",
"SupplierId": 999992000322153,
"SupplierNumber": "654321",
"SupplierName": "Supplier1",
"AutoAssignFlag": false,
"ContractDefaultStatusCode": "ORA_READY",
"ContractDefaultStatus": "Ready",
"DisabledFlag": false,
"ActiveEndDate": null,
"CreatedBy": "USER",
"CreationDate": "2022-10-28T14:48:10+00:00",
"LastUpdatedBy": "USER",
"LastUpdateDate": "2022-10-28T14:48:10.001+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739/child/coverageApplicabilities/300100568130763",
"name": "coverageApplicabilities",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739/child/coverageApplicabilities/300100568130763",
"name": "coverageApplicabilities",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyCoverages/300100568130739",
"name": "assetWarrantyCoverages",
"kind": "item"
}
]
}